+++
title = "Bookmarks"
weight = 35
[extra]
mktoc = true
+++

# Bookmarks

Bookmarks allow you to save queries under a name and refer to it from the search menu.

## Creating bookmarks

Bookmarks can be created from the search view. Apply some criteria to
select items and then click on the top left menu.

{{ figure2(light="bookmarks-02.png", dark="bookmarks-02_dark.png") }}

This opens a small form right below the search bar where you can
adjust the query and enter the name. You can also decide whether this
bookmark is for all users or just for you.

{{ figure2(light="bookmarks-03.png", dark="bookmarks-03_dark.png") }}

The other way is to go to *Manage Data* where you can edit and delete
existing bookmarks and also create new ones.


## Using bookmarks

Once you save a bookmark, the search menu will display a new section
that shows you all your bookmarks as well as your shares. Clicking one
"enables" it, meaning the query is used in conjunction with other
criteria.

<div class="flex items-center justify-center">
  {{ imgnormal2(light="bookmarks-01.png", dark="bookmarks-01_dark.png", width="") }}
</div>

An active bookmark has a check icon next to its name.

Note about shares: Shares are also displayed, since they are also
bookmarks. However, the list is restricted to only show shares that
have a name and are enabled. Since this is an internal view (only for
registered users), expired shares are shown as well.

## Managing bookmarks

The *Manage Data* page has a section for bookmarks. There you can
delete and edit bookmarks.

{{ figure2(light="bookmarks-04.png", dark="bookmarks-04_dark.png") }}

The personal bookmarks are only visible to you. The collective
bookmarks are visible to every user in the collective, which also
means that every user can edit and delete them.
